## The Basics

Arbitrary data to be transmitted via user drag and drop can be passed in by binding it to the anjDraggable directive. 
It can then be emitted when the user drops the item by using the anjDroppable directive with its onDrop event emitter.

```html
<li *ngFor="let brewery of breweries; let i = index;"
    [anjDraggable]="brewery" 
    anjDroppable (anjDrop)="handleDrop($event, i)">
    {{brewery.name}}
</li>
```
