import {Component, ViewChild} from '@angular/core';

import {DroppableDirective, DropData} from '@anjuna/angular-core';

@Component({
    template: `<div class="comp-drop" anjDroppable (anjDrop)="handleDrop($event)">Something droppable</div>`
})
export class StubDropComponent {

    @ViewChild(DroppableDirective) public dropper: DroppableDirective;

    public handleDrop(data: DropData) {
        return true;
    }
}
