import {Pipe, PipeTransform} from '@angular/core';
import {DatePipe} from '@angular/common';

@Pipe({
    name: 'zuoraDate'
})
export class ZuoraDatePipe implements PipeTransform {
    constructor(private datePipe: DatePipe) {}

    transform(value: any, args?: any): any {
        try {
            return this.datePipe.transform(value, 'shortDate');
        } catch (e) {
            return;
        }
    }

}
